This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 506712 - Package Review: libccss - A simple api for CSS Stylesheets
Package Review: libccss - A simple api for CSS Stylesheets
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Yanko Kaneti
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraMoblin20 506721
  Show dependency treegraph
 
Reported: 2009-06-18 09:04 EDT by Peter Robinson
Modified: 2009-06-24 16:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 16:34:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
yaneti: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-06-18 09:04:23 EDT
SPEC: http://pbrobinson.fedorapeople.org/libccss.spec
SRPMS: http://pbrobinson.fedorapeople.org/libccss-0.3.0-1.fc11.src.rpm

Libccss offers a simple API to

    * Parse CSS stylesheets.
    * Query for style configurations on a user-provided document
      representation.
    * Draw query results onto cairo surfaces [1].

libccss has been split off the gtk-css-engine into a standalone project.
Please refer to the documentation and example code shipped with the 
tarball for information how to use this software.
Comment 1 Yanko Kaneti 2009-06-18 12:23:14 EDT
This time I looked through the source files and they all have the "or (at your option) any later version" variety, which in my understanding makes the package LGPLv2+ .

URL: http://cgit.freedesktop.org/ccss/ 
or
URL: http://people.freedesktop.org/~robsta/libccss/

BuildRequires: gtk-doc
is not really necessary, the tarball has the docs already built.

The last paragraph of the description seems out of place (everything after the bullet points) . Perhaps just remove it.

You could add --disable-examples to spare few cycles.

There is a TODO file that looks to be maintained.

You could 
%{_includedir}/libccss-1
and be done with it. If the package is not split on cairo/gtk etc. there is hardly a point in listing everything.


Other than the license, all minor concerns. I believe you'll fix that prior to import. APPROVED.


Again as with rest some head scratching on weather it should be called libccss or ccss , but I like the idea of sticking with the tarball name best. And its just a library.
Comment 2 Peter Robinson 2009-06-18 13:09:18 EDT
> This time I looked through the source files and they all have the "or (at your
> option) any later version" variety, which in my understanding makes the package
> LGPLv2+ .

Updated in my local ver
 
> URL: http://cgit.freedesktop.org/ccss/ 
> or
> URL: http://people.freedesktop.org/~robsta/libccss/

Have used the later for the moment. It seems from comments that it will eventually be all on freedesktop.org so will update it as it channges

> BuildRequires: gtk-doc
> is not really necessary, the tarball has the docs already built.
> 
> The last paragraph of the description seems out of place (everything after the
> bullet points) . Perhaps just remove it.
> 
> You could add --disable-examples to spare few cycles.
> 
> There is a TODO file that looks to be maintained.

Done

> You could 
> %{_includedir}/libccss-1
> and be done with it. If the package is not split on cairo/gtk etc. there is
> hardly a point in listing everything.

I've done it that way mainly so I see if there's any changes by a broken build :-)

> Other than the license, all minor concerns. I believe you'll fix that prior to
> import. APPROVED.

Thanks!

> Again as with rest some head scratching on weather it should be called libccss
> or ccss , but I like the idea of sticking with the tarball name best. And its
> just a library.  

So did I but I figured that as the tarball was libccss I would use that to follow conventions.
Comment 3 Peter Robinson 2009-06-18 13:10:44 EDT
New Package CVS Request
=======================
Package Name: libccss
Short Description: A simple api for CSS Stylesheets
Owners: pbrobinson
Branches: F-11 F-10
InitialCC:
Comment 4 Jason Tibbitts 2009-06-18 16:29:43 EDT
CVS done.
Comment 5 Peter Robinson 2009-06-18 18:21:11 EDT
built in rawhide
Comment 6 Yanko Kaneti 2009-06-18 19:17:14 EDT
You did commit with
URL:            http://www.gnome.org/~ebassi/source/
which isn't for this particular lib...
Comment 7 Peter Robinson 2009-06-19 02:41:03 EDT
Sorry, lost in the 100s of spec changes I was dealing with yesterday. Its now committed to cvs so I won't miss it. It will appear the next time I push the package.
Comment 8 Yanko Kaneti 2009-06-19 02:56:29 EDT
-URL:            http://www.gnome.org/~ebassi/source/
+URL:            http://live.gnome.org/TwitterGlib

Sorry, but for libccss this isn't the one either ;)
I guess you meant http://people.freedesktop.org/~robsta/libccss/
Comment 9 Peter Robinson 2009-06-19 03:05:15 EDT
Correct :) and fixed. Thanks!
Comment 10 Peter Robinson 2009-06-24 16:34:45 EDT
Done. Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.